/*
작성일: 2021_10_28
작성자: 김형준
제목: 아이씨유
*/
#include <CakeAPI.h>
#include <Wire.h>
#include <VL53L0X.h>    //0x29 pololu
#define VIBE_PIN    pinC3       //11
#define Swich_PIN   pinA1       //A2
                                //buzzer 8

VL53L0X sensor;
int dist;
int Switch = 0;

void setup()
{
    start(0);
    Serial.begin(57600);
    Wire.begin();
    Wire.setClock(400000);
    pinMode(VIBE_PIN,OUTPUT);
    pinMode(Swich_PIN,INPUT_PULLUP);
    Switch = digitalRead(Swich_PIN);
    digitalWrite(VIBE_PIN,LOW);
    Serial.print(Switch);
    if(Switch == 0){
        level_up_melody(n32);
    }else{
        digitalWrite(VIBE_PIN,HIGH);
        delay(1000);
        digitalWrite(VIBE_PIN,LOW);
    }
    sensor.setTimeout(500);
    if (!sensor.init())
    {
        Serial.println("Failed to detect and initialize sensor!");
        while (1) {}
    }
  
    sensor.startContinuous();
}
 
void loop()
{
    dist = sensor.readRangeContinuousMillimeters() / 10.0;
    Serial.print(dist);
    Serial.print("cm");
    if (sensor.timeoutOccurred()) { Serial.print(" TIMEOUT"); }
    Serial.println();

    if(dist < 120 && dist > 0){
        Switch = digitalRead(Swich_PIN);
        digitalWrite(VIBE_PIN,HIGH);
        if(Switch == 0){
            play(do5,n16);
        }else{
            delay(100);
        }
        digitalWrite(VIBE_PIN,LOW);
        delay(dist*5);
    }
}
